This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 28072 - [WebVTT] Consistent use of snap-to-lines flag
Summary: [WebVTT] Consistent use of snap-to-lines flag
Status: RESOLVED FIXED
Alias: None
Product: TextTracks CG
Classification: Unclassified
Component: WebVTT (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: This bug has no owner yet - up for the taking
QA Contact: Web Media Text Tracks CG
URL:
Whiteboard: v1 widereview
Keywords: decided
Depends on:
Blocks:
 
Reported: 2015-02-22 10:25 UTC by Silvia Pfeiffer
Modified: 2017-07-10 06:07 UTC (History)
4 users (show)

See Also:


Attachments

Description Silvia Pfeiffer 2015-02-22 10:25:40 UTC
The snap-to-lines flag is of type Boolean that can be "set" to 
"true" or "false". Instead of referring to these values sometimes the 
setting of the values is described with the verbs "set" (for setting to 
"true") and "unset" (for setting to "false"). It would be more 
consistent and help the reader if the operation is always described as 
"set to true" and "set to false".

As per feedback from Andreas Tai:
http://lists.w3.org/Archives/Public/public-texttracks/2015Feb/0005.html
Comment 1 Philip J├Ągenstedt 2015-02-25 06:30:31 UTC
I can only find one such instance, in http://dev.w3.org/html5/webvtt/#dfn-vttcue-snaptolines

"On setting, the text track cue snap-to-lines flag must be set if the new value is true, and must be unset otherwise."

I guess this could be simply be "On setting, the text track cue snap-to-lines flag must be set to the new value."
Comment 2 Philip J├Ągenstedt 2015-02-25 06:33:43 UTC
But I would value consistency with https://html.spec.whatwg.org/#dom-texttrackcue-pauseonexit so would prefer no change.

I found an unrelated problem though:
https://github.com/w3c/webvtt/pull/175
Comment 3 Silvia Pfeiffer 2015-03-08 08:58:38 UTC
Actually, there is a difference in what the browser stores internally during processing (parsing, rendering, API) to what the concept's value is. The concept's value is more closely related to what an author would set in a HTML attribute. Since a boolean attribute is "set to true" with any value, it's only false when unset.

I think we need to leave this as is.
Comment 4 David Singer 2016-10-11 17:49:58 UTC
I cannot find any places where we describe snap-to-lines as merely 'set'; it's always true or false now.
Comment 5 Andreas Tai 2017-07-10 06:07:14 UTC
The terminology was changed in https://github.com/w3c/webvtt/commit/78605993eead104efa3b1b5bafc8d040f26d2659. So although this issue is not referenced in the commit message it resolved the issue by following the proposal.